Download it now!
Bug 84168 - change writerperfect filters to use a new base class template
Summary: change writerperfect filters to use a new base class template
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2014-09-22 07:46 UTC by David Tardon
Modified: 2015-12-15 23:58 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Tardon 2014-09-22 07:46:21 UTC
Most of the import filter services in writerperfect are derived from a base class called ImportFilterBase, that implements boilerplate code common for all the filters. However, there are separate implementations of ImportFilterBase in every submodule, i.e., writerperfect/source/draw, writerperfect/source/writer (there used to be one in writerperfect/source/calc too). To avoid duplication, this class has been generalized to a template writerperfect::ImportFilter (writerperfect/inc/writerperfect/ImportFilter.hxx). The goal is to replace use of writerperfect::*::ImportFilterBase by writerperfect::ImportFilter.

Commit https://gerrit.libreoffice.org/gitweb?p=core.git;a=commit;h=a23a51af899b31bcf93781637371ffd8ef813bf5 shows a sample conversion of the filters in writerperfect/source/calc.
Comment 1 David Tardon 2014-10-22 11:01:46 UTC
writerperfect/source/impress should be adapted too
Comment 2 Commit Notification 2015-02-08 16:49:44 UTC
Kishor Bhat committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9129b5ac8af104364f86e90a62b2a1508241053a

tdf#84168 convert wpftimpress to use ImportFilter base class

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Robinson Tryon (qubit) 2015-12-15 23:58:32 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillCpp TopicCleanup)
[NinjaEdit]